define([
    'uiComponent',
    'Magento_Checkout/js/model/payment/renderer-list'
], function (Component, rendererList) {
    'use strict'
    rendererList.push({
        type: 'sibs_creditcard',
        component: 'Sibs_Sibs/js/view/payment/method-renderer/sibs_creditcard-method'
    }, {
        type: 'sibs_blik',
        component: 'Sibs_Sibs/js/view/payment/method-renderer/sibs_blik-method'
    }, {
        type: 'sibs_pbl',
        component: 'Sibs_Sibs/js/view/payment/method-renderer/sibs_pbl-method'
    }, {
        type: 'sibs_xpay',
        component: 'Sibs_Sibs/js/view/payment/method-renderer/sibs_xpay-method'
    })
    return Component.extend({})
})
